GNU bug report logs - #33953
reconfigure not working tl;dr : EFI not mounted to /boot/efi

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Joshua Branson <jbranso@HIDDEN>; Done: Marius Bakke <mbakke@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33953-done <at> debbugs.gnu.org:


Received: (at 33953-done) by debbugs.gnu.org; 7 Apr 2020 13:27:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 07 09:27:42 2020
Received: from localhost ([127.0.0.1]:49704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLoGU-0000Py-3C
	for submit <at> debbugs.gnu.org; Tue, 07 Apr 2020 09:27:42 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:41593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jLoGS-0000PB-Hl
 for 33953-done <at> debbugs.gnu.org; Tue, 07 Apr 2020 09:27:41 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 786516A5;
 Tue,  7 Apr 2020 09:27:34 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 07 Apr 2020 09:27:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=Wz3PUaD2CTxjwBaY7eYXT+W4oN
 KH54UbVHag7VvmqEQ=; b=JATacghiUekL5YC+vn1f7xB8Af6IFelt/M71etb7dZ
 mKhh4/j9YatcqgSUd4i9lWQavyeYTFpwCaeg15VUb4GCqL9ua88r3JmtkFGXxOQS
 fRWrGzdj1vH7Gbn/gQfm8mM2JesBA4RpexI1nkDVOsaFntI1Ty2eEm5Y36NdqdG/
 SBxQaRRqAD63opdOOPugojeI09NiFTgYKpV+FGB6hqb0fMYR5aj78i8ggBiC9Sw5
 c83oIBGuEHlRDZqeF0F9UTCmzSDMfWi5BulaAdnnv2UEa8sjshTt/6pzfWCvAHBl
 QwLX841VpYAirjRDK0UX2erbf/DwAFW6jh3JQhSBwOAQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=Wz3PUa
 D2CTxjwBaY7eYXT+W4oNKH54UbVHag7VvmqEQ=; b=dNOiJmDvSsyYAhXAmztOZZ
 jbHSLF1nTx1qwzKjzS9cpjjGPAWm4F8J+JjAyJMrkwHYHHr+kfXRFt/5mkB37pYe
 b5JIrFCjdB/0f3kDSj6p7sEZDIJ3laImIgk6A4hoxNom6Y3RLRncml91BV7N8Pdw
 lurbei3TICmUQSGegi6RZYcTgixyP2ELR2/IUvjxtWtAZ/nmCdJD6sPyAU3IVYQa
 pREG664ThcaP9P0YN0Dia1X+ydzGiIcUxY7fd+llPkwNX2u98CKRuLgtxhTJhJoP
 +vw6C/W1YT8tjm/lsGEwATJzL3XuEKJycqj+u2FnfIlsRizFHbnSd7bfTLqSCUsQ
 ==
X-ME-Sender: <xms:xX-MXsXyQMowdVggw1uwTT3w3tAtLKVi_Hyja8NwuDaCB16_ARX7_g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrudehgdeifecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhiuhhs
 uceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecukfhppeekge
 drvddtvddrieekrdejheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgr
 ihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhm
X-ME-Proxy: <xmx:xX-MXmPF_0fglWBm-9TA18Rvz_SAdLRAqouvGx2Gs6c2fEkRP8qPow>
 <xmx:xX-MXoeyWXoO_R7RYLbL-mFurUvGsU81kYIw8tI5gFftBwrHhtyuVw>
 <xmx:xX-MXkAoWqNFBhj24so7glErzMz2a5heth2x5b_apR1rJL436zTILQ>
 <xmx:xn-MXoQS5-2-MxOYygIyJjL-4mFiEUpqD6CNpjHD3ElYv7l2fsDQxA>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8299A3280065;
 Tue,  7 Apr 2020 09:27:33 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Joshua Branson <jbranso@HIDDEN>, 33953-done <at> debbugs.gnu.org
Subject: Re: bug#33953: reconfigure not working tl;
 dr : EFI not mounted to /boot/efi
In-Reply-To: <87k1jmf1ws.fsf@HIDDEN>
References: <871s5v8ahu.fsf@HIDDEN> <877efmzoe0.fsf@HIDDEN>
 <87k1jmf1ws.fsf@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Tue, 07 Apr 2020 15:27:31 +0200
Message-ID: <87a73no27w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33953-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Joshua Branson <jbranso@HIDDEN> writes:

> Perhaps for now, I'll just throw in this patch that modifies an
> guix/system/examples desktop file.  The "full blown" desktop has a UEFI
> boot, but it does not show the (file-system (type "vfat") ...) example.
> This patch should fix that.

Pierre pushed an identical patch back in
ece2fd121866e4f46c5a4be92c6f09b6c1042ea1, sorry this fell through the
cracks.  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6Mf8MACgkQoqBt8qM6
VPo+cQf/S5eqy9fXkHmK7MVAZvk3RU0bj5lM65BrXDLWRzEDUhRTm2xraeJ0N/Gl
MIb68UP4C9zvFIrYBG/zbI5pMXdxUe3cn1KXMG7Z+oa+oAfAXbmNfBRGcqXbRqQX
0fVGLxohyJVpW8iqRB7mWqe0in+IMxlzel62XgazoMlqS6ZItE4g8LMF+KcNfYpJ
srFxMkzEYc/zsOGhpcf6yiWJ9i+MpvYcixE9zmtWLUTyHyWzx+vnu2CXI94NRI6w
FQDHRxEYejxdeA2gbW9W+dMK60aMKSPONSIcV5KdDmDcV/rAR7Czkc2JXhl5dQJF
FmdU1svi791gfGKCKkw0R5VDs63TNQ==
=v2yX
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Joshua Branson <jbranso@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Marius Bakke <mbakke@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 33953 <at> debbugs.gnu.org:


Received: (at 33953) by debbugs.gnu.org; 3 Jan 2019 17:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 12:13:45 2019
Received: from localhost ([127.0.0.1]:45917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gf6Yz-0007Wk-Bg
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 12:13:45 -0500
Received: from dismail.de ([78.46.223.134]:40975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbranso@HIDDEN>) id 1gf0cn-0004OY-6O
 for 33953 <at> debbugs.gnu.org; Thu, 03 Jan 2019 05:53:17 -0500
Received: from dismail.de (localhost [127.0.0.1])
 by dismail.de (OpenSMTPD) with ESMTP id 45f6ff08
 for <33953 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 11:53:10 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=201701; bh=lgqu2J1SUcddXWnX/3ek2PHLuT525NwGYzd6
 a3vLRL8=; b=kitmrJND5Jyx8BAfT0dI0sBPvtmpl4cSS4O8FlrBvvmC6jhJ/C3p
 AaQDvnIIRsNrQJMCHe4qIFeSja6+2lYik3BQM6/nJrojzs3sh1RfGgpJoOQHjjIA
 j/NgjF89GqPkXJo+/psPL11+D3Vsw9Ema5872KBCPokn0l3NPLE0lao=
Received: from smtp2.dismail.de (10.240.26.12 [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id c5aed06b
 for <33953 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 11:53:10 +0100 (CET)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id b2b4746e
 for <33953 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 11:53:10 +0100 (CET)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id df3a8050
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO)
 for <33953 <at> debbugs.gnu.org>; Thu, 3 Jan 2019 11:53:09 +0100 (CET)
From: Joshua Branson <jbranso@HIDDEN>
To: 33953 <at> debbugs.gnu.org
Subject: Re: bug#33953: reconfigure not working tl;
 dr : EFI not mounted to /boot/efi
References: <871s5v8ahu.fsf@HIDDEN> <877efmzoe0.fsf@HIDDEN>
Date: Thu, 03 Jan 2019 05:53:07 -0500
In-Reply-To: <877efmzoe0.fsf@HIDDEN> (Timothy Sample's message of "Wed, 02
 Jan 2019 17:27:19 -0500")
Message-ID: <87k1jmf1ws.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33953
X-Mailman-Approved-At: Thu, 03 Jan 2019 12:13:44 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Timothy Sample <samplet@HIDDEN> writes:

> Hi Joshua,
>
> Joshua Branson <jbranso@HIDDEN> writes:
>
>
> I agree with you that the manual could be more clear.  In the
> installation section, it mentions needing an EFI partition that is
> mounted, but it never spells out that this needs to be included in the
> operating system configuration.  I am not sure how exactly to fix it
> though.  If you were willing propose something, that would be very
> helpful!

Perhaps for now, I'll just throw in this patch that modifies an
guix/system/examples desktop file.  The "full blown" desktop has a UEFI
boot, but it does not show the (file-system (type "vfat") ...) example.
This patch should fix that.

The "light weight window manager" in the manual does have a
(file-system (type "vfat") ...).


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-I-modified-the-UEFI-desktop-example-to-include-the-f.patch
Content-Description: vfat patch

From 0d35f5c6a73dc97959779f727c25e81de9192680 Mon Sep 17 00:00:00 2001
From: Joshua Branson <jbranso@HIDDEN>
Date: Thu, 3 Jan 2019 05:47:23 -0500
Subject: [PATCH] I modified the UEFI desktop example to include the
 (file-system (type "vfat") ...)

---
 gnu/system/examples/desktop.tmpl | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/system/examples/desktop.tmpl b/gnu/system/examples/desktop.tmpl
index 1b8d46afa..9c36a2692 100644
--- a/gnu/system/examples/desktop.tmpl
+++ b/gnu/system/examples/desktop.tmpl
@@ -30,6 +30,10 @@
                         (mount-point "/")
                         (type "ext4")
                         (dependencies mapped-devices))
+                        (file-system
+                         (device (uuid "1234-ABCD" 'fat))
+                         (mount-point "/boot/efi")
+                         (type "vfat"))
                       %base-file-systems))
 
   (users (cons (user-account
-- 
2.20.1


--=-=-=
Content-Type: text/plain



--
Joshua Branson
Sent from Emacs and Gnus

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33953; Package guix. Full text available.

Message received at 33953 <at> debbugs.gnu.org:


Received: (at 33953) by debbugs.gnu.org; 2 Jan 2019 22:27:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 02 17:27:29 2019
Received: from localhost ([127.0.0.1]:45039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1geoz3-0007BQ-9I
	for submit <at> debbugs.gnu.org; Wed, 02 Jan 2019 17:27:29 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:34723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samplet@HIDDEN>) id 1geoyz-0007B9-Tu
 for 33953 <at> debbugs.gnu.org; Wed, 02 Jan 2019 17:27:27 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id AC26122276;
 Wed,  2 Jan 2019 17:27:20 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Wed, 02 Jan 2019 17:27:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; bh=t7qyj+mQx58MTFyN8brDP8zJxKLtXWQObgMsdcNyFZ8=; b=b76sZzjh
 y9/Ry6AdXTqT7V/Hb5Npv5b4P88cABhxBkHKbndorcLbYzGdIVmkjXrFHeUMp+6d
 aV7luuNnNNWD9kUDgTHULcB9K59zTL7oy9gyB6q/NoyhXxIGdrZ8FOOG3F2C89bL
 ekTOPd1X3aCcoaQhfhb5BVSv0mUE+ZRwoMpNZtt1WmbFYSB638FiHMwv6c8NvEd0
 3ZSDqGr8M2IubFwvieNjwQtLLgdBMdkT8oQDh9fVTrvyMAVuX5GbmYwARWE+j7+H
 IhdWyuKUCnQHF/q+N7PkqC48MoFlPmVZ7lRc5MDukgG1PnxsIO9msb77j1L7f61z
 DwQKF028j6R1Jg==
X-ME-Sender: <xms:xzotXI-g90sEVpxYrOqLY0Czk1xQU1zuRo3P8pcsLzwUTvJPr-_MUQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrudejucdltddurdegtdekrddttddmucetuf
 doteggodetrfdotffvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegr
 ihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjug
 hrpefhvffufhffkfgfgggtgfesthhqredttderjeenucfhrhhomhepvfhimhhothhhhicu
 ufgrmhhplhgvuceoshgrmhhplhgvthesnhhghihrohdrtghomheqnecukfhppeejgedrud
 duiedrudekiedrgeegnecurfgrrhgrmhepmhgrihhlfhhrohhmpehsrghmphhlvghtsehn
 ghihrhhordgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:xzotXE_MqHmUA5DhXf-2Td1NVAs3app0Exrq8iP_jJGlVTVdvgm3MA>
 <xmx:xzotXJDk7BBcFwweqnyrNOSX67_7ePFnqrLLz6jpQM36wQRg22jHWQ>
 <xmx:xzotXMy69a3xTqpqHZC_k4TIYr_KpBtovmA8XN7dsk668W4cUDS_aQ>
 <xmx:yDotXEKh9H7aG-1D8gFEFi4UDKQAmvzZ9RGIyTEuqjz4dhQvyHHPhA>
Received: from mrblack (74-116-186-44.qc.dsl.ebox.net [74.116.186.44])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9AB8E10087;
 Wed,  2 Jan 2019 17:27:19 -0500 (EST)
From: Timothy Sample <samplet@HIDDEN>
To: Joshua Branson <jbranso@HIDDEN>
Subject: Re: bug#33953: reconfigure not working tl;
 dr : EFI not mounted to /boot/efi
References: <871s5v8ahu.fsf@HIDDEN>
Date: Wed, 02 Jan 2019 17:27:19 -0500
Message-ID: <877efmzoe0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33953
Cc: 33953 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Joshua,

Joshua Branson <jbranso@HIDDEN> writes:

> Hello,
>
> This is a really minor bug, but basically grub-install command is
> failing on reconfigure.  It is failing, because /dev/sda1 (my EFI) is
> not mounted at /boot/efi.  In the config examples in the manual, it does
> not show a
>
> #+BEGIN_SRC scheme
> (file-system
>    (type "vFAT")
>    (device (file-system-label "EFI"))
>    (mount-point "/boot/efi"))
> #+END_SRC
>
>
> And indeed /dev/sda1, which is my EFI is not mounted.

I believe this is precisely what is missing.  I have an EFI machine with
GuixSD, and I have=20

    (file-system
     (device "/dev/sda1")
     (mount-point "/boot/efi")
     (type "vfat"))

in my =E2=80=9Cfile-systems=E2=80=9D section.

I agree with you that the manual could be more clear.  In the
installation section, it mentions needing an EFI partition that is
mounted, but it never spells out that this needs to be included in the
operating system configuration.  I am not sure how exactly to fix it
though.  If you were willing propose something, that would be very
helpful!

> $ mount  | grep /dev
> /dev/sda3 on / type ext4 (rw,relatime)
> /dev/sda4 on /home type ext4 (rw,relatime)
> /dev/sda5 on /home/joshua/prog type ext4 (rw,relatime)
> /dev/sda3 on /gnu/store type ext4 (ro,relatime)
>
> Also why is /dev/sda3 mounted in 2 places?  Is that normal?

Yes.  The store is mounted read-only to prevent things (other than the
Guix Daemon) from modifying it.  You can remount it so that it is
writable, but you shouldn=E2=80=99t.  The store is supposed to be immutable.

> [...]

Hope that helps!


-- Tim




Information forwarded to bug-guix@HIDDEN:
bug#33953; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jan 2019 17:26:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 02 12:26:50 2019
Received: from localhost ([127.0.0.1]:44952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gekI6-0003va-8I
	for submit <at> debbugs.gnu.org; Wed, 02 Jan 2019 12:26:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbranso@HIDDEN>) id 1gegOv-00024u-NP
 for submit <at> debbugs.gnu.org; Wed, 02 Jan 2019 08:17:38 -0500
Received: from listsout.gnu.org ([209.51.188.17]:56416)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jbranso@HIDDEN>) id 1gegOv-00066w-BA
 for submit <at> debbugs.gnu.org; Wed, 02 Jan 2019 08:17:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34966)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jbranso@HIDDEN>) id 1gegOt-0000NT-Mi
 for bug-guix@HIDDEN; Wed, 02 Jan 2019 08:17:37 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jbranso@HIDDEN>) id 1gegOo-0005t2-Kb
 for bug-guix@HIDDEN; Wed, 02 Jan 2019 08:17:35 -0500
Received: from dismail.de ([78.46.223.134]:45377)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jbranso@HIDDEN>) id 1gegOn-0005YO-7J
 for bug-guix@HIDDEN; Wed, 02 Jan 2019 08:17:30 -0500
Received: from dismail.de (localhost [127.0.0.1])
 by dismail.de (OpenSMTPD) with ESMTP id 1e4fab16
 for <bug-guix@HIDDEN>; Wed, 2 Jan 2019 14:17:20 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to
 :subject:date:message-id:mime-version:content-type; s=201701;
 bh=W2Jl2gDj59nw9WHmvePqftNb3YBH4HKjB646u/wOYf4=; b=C9m0ASkgimWN
 bkkk1srHRorLwM/LR677eCD9idZxE0qTXm/2lAd1lxn3o/XbnQdLMpVyV6TshM7W
 o/TzmREIV4TO7OwXd7feB4iGZ6OazX8ScbmVKOBkHZNPdB62/5DHyzQdqy9vx3m+
 D6uf8izjMsnU+FoZgZQSGmjUe8qmf+U=
Received: from smtp1.dismail.de (10.240.26.11 [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id e3ae6e42
 for <bug-guix@HIDDEN>; Wed, 2 Jan 2019 14:17:20 +0100 (CET)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id 19c60fb8
 for <bug-guix@HIDDEN>; Wed, 2 Jan 2019 14:17:20 +0100 (CET)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 981525c7
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO) for <bug-guix@HIDDEN>;
 Wed, 2 Jan 2019 14:17:19 +0100 (CET)
From: Joshua Branson <jbranso@HIDDEN>
To: bug-guix@HIDDEN
Subject: reconfigure not working tl;dr : EFI not mounted to /boot/efi
Mail-Followup-To: bug-guix@HIDDEN
Date: Wed, 02 Jan 2019 08:17:17 -0500
Message-ID: <871s5v8ahu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 78.46.223.134
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x [fuzzy]
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 02 Jan 2019 12:26:49 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)


Hello,

This is a really minor bug, but basically grub-install command is
failing on reconfigure.  It is failing, because /dev/sda1 (my EFI) is
not mounted at /boot/efi.  In the config examples in the manual, it does
not show a

#+BEGIN_SRC scheme
(file-system
   (type "vFAT")
   (device (file-system-label "EFI"))
   (mount-point "/boot/efi"))
#+END_SRC

And indeed /dev/sda1, which is my EFI is not mounted.

$ mount  | grep /dev
/dev/sda3 on / type ext4 (rw,relatime)
/dev/sda4 on /home type ext4 (rw,relatime)
/dev/sda5 on /home/joshua/prog type ext4 (rw,relatime)
/dev/sda3 on /gnu/store type ext4 (ro,relatime)

Also why is /dev/sda3 mounted in 2 places?  Is that normal?

Here is how I've got everything partitioned.

$ fdisk /dev/sda p
Disk /dev/sda: 232.9 GiB, 250059350016 bytes, 488397168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 860B0AE9-004D-4D11-92D1-594114D285B5

Device         Start       End   Sectors  Size Type
/dev/sda1       2048   1050623   1048576  512M EFI System
/dev/sda2    1050624   3905535   2854912  1.4G Linux swap
/dev/sda3    3905536 160155647 156250112 74.5G Linux filesystem
/dev/sda4  160155648 355469311 195313664 93.1G Linux filesystem
/dev/sda5  355469312 394530815  39061504 18.6G Linux filesystem

I'm running a Macbook 7,1.

Here is a copy of my config:

#+BEGIN_SRC scheme
;; This is my guixSD configuration with the awesome window manager.
(use-modules (gnu) (gnu system nss))
;; for read-string
;;(sxml ssax input-parse))
(use-service-modules desktop xorg sysctl)
(use-package-modules certs wm)
;;(define my-keyboard
;;  (call-with-input-file "/etc/config.d/01-keyboard.conf" read-string))
;;(define my-touchpad
;;  (call-with-input-file "/etc/config.d/02.touchpad.conf" read-string))

;; I want to make my touchpad work on tapping
;; but this is not correct apparently...
(define my-touchpad
  "Section \"InputClass\"
  Identifier \"touchpad\"
  Driver \"synaptics\"
  MatchIsTouchpad \"on\"
  Option \"TapButton1\" \"1\"
  Option \"TapButton2\" \"3\"
  Option \"TabButton3\" \"2\"
  EndSection")

;; I want X to use dvorak and swap caps
(define my-dvorak
  "Section \"InputClass\"
  Identifier \"evdev keyboard catchall\"
  Driver \"evdev\"
  MatchIsKeyBoard \"on\"
  Option \"xkb_layout\"  \"dvorak\"
  Option \"xkb_options\"  \"ctrl:swapcaps\"
  EndSection")

(define %my-desktop-services
  (modify-services
   %desktop-services
   (slim-service-type
    config =>
    (slim-configuration
     (inherit config)
     (auto-login? #t)
     (default-user "joshua")
     (startx (xorg-start-command
              #:configuration-file
              (xorg-configuration-file
               #:extra-config
		;;there are some problems with my-touchpad
	       (list my-dvorak))))))))

(operating-system
 (host-name "dobby")
 (timezone "America/New_York")
 (locale "en_US.utf8")
 (bootloader (bootloader-configuration
              (bootloader grub-efi-bootloader)
              (target "/boot/efi")))
 (file-systems (cons* (file-system
                       ;; /dev/sda3
                       (device (file-system-label "root"))
                       (mount-point "/")
                       (type "ext4"))
                      (file-system
		       ;; /dev/sda4
                       (device (file-system-label "home"))
		       (mount-point "/home")
                       (type "ext4"))
                       ;;/home doesn't need to execute programs
		       ;; it shouldn't, but if I mount it that way, I can't log into X
                       ;;(flags '("no-exec")))
		      (file-system
		       (device (file-system-label "prog"))
		       (mount-point "/home/joshua/prog")
		       (type "ext4"))
                      %base-file-systems))
 (swap-devices '("/dev/sda2"))
 (users (cons (user-account
               (name "joshua")
               (comment "Joshua")
               (group "users")
               ;; Adding the account to the "wheel" group
               ;; makes it a sudoer.  Adding it to "audio"
               ;; and "video" allows the user to play sound
               ;; and access the webcam.
               (supplementary-groups '("wheel"
                                       "audio" "video"))
               (home-directory "/home/joshua"))
              %base-user-accounts))

 ;; Globally-installed packages.
 (packages (cons* awesome nss-certs %base-packages))

 ;; add my configured desktop-services
 (services (cons* (console-keymap-service "dvorak")
		  ;; make linux use RAM more than it uses swap.
		  (service sysctl-service-type
			   (sysctl-configuration
			    (settings  '(("vm.swappiness" . "30")))))
                  %my-desktop-services))

 (name-service-switch %mdns-host-lookup-nss))

#+END_SRC

Did I just make a silly mistake?

--
Joshua Branson
Sent from Emacs and Gnus




Acknowledgement sent to Joshua Branson <jbranso@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33953; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 7 Apr 2020 13:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.